$(function(){
    $('#inpSearchBoard').on('keyup', function(){
        searchBoards();
    });
});

function searchBoards(){
    let value = $('#inpSearchBoard').val().toLowerCase();

    $("table > tbody > tr").each(function(i, e) {
        let boardText = $(e).find('td:first').text().toLowerCase();
        if (boardText.indexOf(value) < 0){
            $(e).hide();
        } else {
            $(e).show();
        }
    });
}